Package org.eclipse.rdf4j.model.vocabulary

## Class DCTERMS

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.DCTERMS

-     public class DCTERMS
      extends Object

  Vocabulary constants for the Dublin Core Metadata Initiative Metadata Terms.
  Author:
    Peter Ansell
  See Also:
    DCMI Metadata Terms

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IRI` | `ABSTRACT` | http://purl.org/dc/terms/abstract
    `static IRI` | `ACCESS_RIGHTS` | http://purl.org/dc/terms/accessRights
    `static IRI` | `ACCRUAL_METHOD` | http://purl.org/dc/terms/accrualMethod
    `static IRI` | `ACCRUAL_PERIODICITY` | http://purl.org/dc/terms/accrualPeriodicity
    `static IRI` | `ACCRUAL_POLICY` | http://purl.org/dc/terms/ accrualPolicy
    `static IRI` | `AGENT` | http://purl.org/dc/terms/Agent
    `static IRI` | `AGENT_CLASS` | http://purl.org/dc/terms/AgentClass
    `static IRI` | `ALTERNATIVE` | http://purl.org/dc/terms/alternative
    `static IRI` | `AUDIENCE` | http://purl.org/dc/terms/audience
    `static IRI` | `AVAILABLE` | http://purl.org/dc/terms/available
    `static IRI` | `BIBLIOGRAPHIC_CITATION` | http://purl.org/dc/terms/bibliographicCitation
    `static IRI` | `BIBLIOGRAPHIC_RESOURCE` | http://purl.org/dc/terms/BibliographicResource
    `static IRI` | `BOX` | http://purl.org/dc/terms/Box
    `static IRI` | `CONFORMS_TO` | http://purl.org/dc/terms/conformsTo
    `static IRI` | `CONTRIBUTOR` | http://purl.org/dc/terms/contributor
    `static IRI` | `COVERAGE` | http://purl.org/dc/terms/coverage
    `static IRI` | `CREATED` | http://purl.org/dc/terms/created
    `static IRI` | `CREATOR` | http://purl.org/dc/terms/creator
    `static IRI` | `DATE` | http://purl.org/dc/terms/date
    `static IRI` | `DATE_ACCEPTED` | http://purl.org/dc/terms/dateAccepted
    `static IRI` | `DATE_COPYRIGHTED` | http://purl.org/dc/terms/dateCopyrighted
    `static IRI` | `DATE_SUBMITTED` | http://purl.org/dc/terms/dateSubmitted
    `static IRI` | `DCMI_TYPE` | http://purl.org/dc/terms/DCMIType
    `static IRI` | `DDC` | http://purl.org/dc/terms/DDC
    `static IRI` | `DESCRIPTION` | http://purl.org/dc/terms/description
    `static IRI` | `EDUCATION_LEVEL` | http://purl.org/dc/terms/educationLevel
    `static IRI` | `EXTENT` | http://purl.org/dc/terms/extent
    `static IRI` | `FILE_FORMAT` | http://purl.org/dc/terms/FileFormat
    `static IRI` | `FORMAT` | http://purl.org/dc/terms/format
    `static IRI` | `FREQUENCY` | http://purl.org/dc/terms/Frequency
    `static IRI` | `HAS_FORMAT` | http://purl.org/dc/terms/hasFormat
    `static IRI` | `HAS_PART` | http://purl.org/dc/terms/hasPart
    `static IRI` | `HAS_VERSION` | http://purl.org/dc/terms/hasVersion
    `static IRI` | `IDENTIFIER` | http://purl.org/dc/terms/identifier
    `static IRI` | `IMT` | http://purl.org/dc/terms/IMT
    `static IRI` | `INSTRUCTIONAL_METHOD` | http://purl.org/dc/terms/instructionalMethod
    `static IRI` | `IS_FORMAT_OF` | http://purl.org/dc/terms/isFormatOf
    `static IRI` | `IS_PART_OF` | http://purl.org/dc/terms/isPartOf
    `static IRI` | `IS_REFERENCED_BY` | http://purl.org/dc/terms/isReferencedBy
    `static IRI` | `IS_REPLACED_BY` | http://purl.org/dc/terms/isReplacedBy
    `static IRI` | `IS_REQUIRED_BY` | http://purl.org/dc/terms/isRequiredBy
    `static IRI` | `IS_VERSION_OF` | http://purl.org/dc/terms/isVersionOf
    `static IRI` | `ISO3166` | http://purl.org/dc/terms/ISO3166
    `static IRI` | `ISO639_2` | http://purl.org/dc/terms/ISO639-2
    `static IRI` | `ISO639_3` | http://purl.org/dc/terms/ISO639-3
    `static IRI` | `ISSUED` | http://purl.org/dc/terms/issued
    `static IRI` | `JURISDICTION` | http://purl.org/dc/terms/Jurisdiction
    `static IRI` | `LANGUAGE` | http://purl.org/dc/terms/language
    `static IRI` | `LCC` | http://purl.org/dc/terms/LCC
    `static IRI` | `LCSH` | http://purl.org/dc/terms/LCSH
    `static IRI` | `LICENSE` | http://purl.org/dc/terms/license
    `static IRI` | `LICENSE_DOCUMENT` | http://purl.org/dc/terms/LicenseDocument
    `static IRI` | `LINGUISTIC_SYSTEM` | http://purl.org/dc/terms/LinguisticSystem
    `static IRI` | `LOCATION` | http://purl.org/dc/terms/Location
    `static IRI` | `LOCATION_PERIOD_OR_JURISDICTION` | http://purl.org/dc/terms/LocationPeriodOrJurisdiction
    `static IRI` | `MEDIA_TYPE` | http://purl.org/dc/terms/MediaType
    `static IRI` | `MEDIA_TYPE_OR_EXTENT` | http://purl.org/dc/terms/MediaTypeOrExtent
    `static IRI` | `MEDIATOR` | http://purl.org/dc/terms/mediator
    `static IRI` | `MEDIUM` | http://purl.org/dc/terms/medium
    `static IRI` | `MESH` | http://purl.org/dc/terms/MESH
    `static IRI` | `METHOD_OF_ACCRUAL` | http://purl.org/dc/terms/MethodOfAccrual
    `static IRI` | `METHOD_OF_INSTRUCTION` | http://purl.org/dc/terms/MethodOfInstruction
    `static IRI` | `MODIFIED` | http://purl.org/dc/terms/modified
    `static String` | `NAMESPACE` | Dublin Core Terms namespace: http://purl.org/dc/terms/
    `static IRI` | `NLM` | http://purl.org/dc/terms/NLM
    `static Namespace` | `NS` | An immutable `Namespace` constant that represents the Dublin Core Terms namespace.
    `static IRI` | `PERIOD` | http://purl.org/dc/terms/Period
    `static IRI` | `PERIOD_OF_TIME` | http://purl.org/dc/terms/PeriodOfTime
    `static IRI` | `PHYSICAL_MEDIUM` | http://purl.org/dc/terms/PhysicalMedium
    `static IRI` | `PHYSICAL_RESOURCE` | http://purl.org/dc/terms/PhysicalResource
    `static IRI` | `POINT` | http://purl.org/dc/terms/Point
    `static IRI` | `POLICY` | http://purl.org/dc/terms/Policy
    `static String` | `PREFIX` | Recommend prefix for the Dublin Core Terms namespace: "dcterms"
    `static IRI` | `PROVENANCE` | http://purl.org/dc/terms/provenance
    `static IRI` | `PROVENANCE_STATEMENT` | http://purl.org/dc/terms/ProvenanceStatement
    `static IRI` | `PUBLISHER` | http://purl.org/dc/terms/publisher
    `static IRI` | `REFERENCES` | http://purl.org/dc/terms/references
    `static IRI` | `RELATION` | http://purl.org/dc/terms/relation
    `static IRI` | `REPLACES` | http://purl.org/dc/terms/replaces
    `static IRI` | `REQUIRES` | http://purl.org/dc/terms/requires
    `static IRI` | `RFC1766` | http://purl.org/dc/terms/RFC1766
    `static IRI` | `RFC3066` | http://purl.org/dc/terms/RFC3066
    `static IRI` | `RFC4646` | http://purl.org/dc/terms/RFC4646
    `static IRI` | `RFC5646` | http://purl.org/dc/terms/RFC5646
    `static IRI` | `RIGHTS` | http://purl.org/dc/terms/rights
    `static IRI` | `RIGHTS_HOLDER` | http://purl.org/dc/terms/rightsHolder
    `static IRI` | `RIGHTS_STATEMENT` | http://purl.org/dc/terms/RightsStatement
    `static IRI` | `SIZE_OR_DURATION` | http://purl.org/dc/terms/SizeOrDuration
    `static IRI` | `SOURCE` | http://purl.org/dc/terms/source
    `static IRI` | `SPATIAL` | http://purl.org/dc/terms/spatial
    `static IRI` | `STANDARD` | http://purl.org/dc/terms/Standard
    `static IRI` | `SUBJECT` | http://purl.org/dc/terms/subject
    `static IRI` | `TABLE_OF_CONTENTS` | http://purl.org/dc/terms/tableOfContents
    `static IRI` | `TEMPORAL` | http://purl.org/dc/terms/temporal
    `static IRI` | `TGN` | http://purl.org/dc/terms/TGN
    `static IRI` | `TITLE` | http://purl.org/dc/terms/title
    `static IRI` | `TYPE` | http://purl.org/dc/terms/type
    `static IRI` | `UDC` | http://purl.org/dc/terms/UDC
    `static IRI` | `URI` | http://purl.org/dc/terms/URI
    `static IRI` | `VALID` | http://purl.org/dc/terms/valid
    `static IRI` | `W3CDTF` | http://purl.org/dc/terms/W3CDTF

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DCTERMS()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      Dublin Core Terms namespace: http://purl.org/dc/terms/
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      Recommend prefix for the Dublin Core Terms namespace: "dcterms"
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the Dublin Core Terms namespace.

    - #### CONTRIBUTOR

          public static final IRI CONTRIBUTOR

      http://purl.org/dc/terms/contributor

    - #### COVERAGE

          public static final IRI COVERAGE

      http://purl.org/dc/terms/coverage

    - #### CREATOR

          public static final IRI CREATOR

      http://purl.org/dc/terms/creator

    - #### DATE

          public static final IRI DATE

      http://purl.org/dc/terms/date

    - #### DESCRIPTION

          public static final IRI DESCRIPTION

      http://purl.org/dc/terms/description

    - #### FORMAT

          public static final IRI FORMAT

      http://purl.org/dc/terms/format

    - #### IDENTIFIER

          public static final IRI IDENTIFIER

      http://purl.org/dc/terms/identifier

    - #### LANGUAGE

          public static final IRI LANGUAGE

      http://purl.org/dc/terms/language

    - #### PUBLISHER

          public static final IRI PUBLISHER

      http://purl.org/dc/terms/publisher

    - #### RELATION

          public static final IRI RELATION

      http://purl.org/dc/terms/relation

    - #### RIGHTS

          public static final IRI RIGHTS

      http://purl.org/dc/terms/rights

    - #### SOURCE

          public static final IRI SOURCE

      http://purl.org/dc/terms/source

    - #### SUBJECT

          public static final IRI SUBJECT

      http://purl.org/dc/terms/subject

    - #### TITLE

          public static final IRI TITLE

      http://purl.org/dc/terms/title

    - #### TYPE

          public static final IRI TYPE

      http://purl.org/dc/terms/type

    - #### ABSTRACT

          public static final IRI ABSTRACT

      http://purl.org/dc/terms/abstract

    - #### ACCESS_RIGHTS

          public static final IRI ACCESS_RIGHTS

      http://purl.org/dc/terms/accessRights

    - #### ACCRUAL_METHOD

          public static final IRI ACCRUAL_METHOD

      http://purl.org/dc/terms/accrualMethod

    - #### ACCRUAL_PERIODICITY

          public static final IRI ACCRUAL_PERIODICITY

      http://purl.org/dc/terms/accrualPeriodicity

    - #### ACCRUAL_POLICY

          public static final IRI ACCRUAL_POLICY

      http://purl.org/dc/terms/ accrualPolicy

    - #### ALTERNATIVE

          public static final IRI ALTERNATIVE

      http://purl.org/dc/terms/alternative

    - #### AUDIENCE

          public static final IRI AUDIENCE

      http://purl.org/dc/terms/audience

    - #### AVAILABLE

          public static final IRI AVAILABLE

      http://purl.org/dc/terms/available

    - #### BIBLIOGRAPHIC_CITATION

          public static final IRI BIBLIOGRAPHIC_CITATION

      http://purl.org/dc/terms/bibliographicCitation

    - #### CONFORMS_TO

          public static final IRI CONFORMS_TO

      http://purl.org/dc/terms/conformsTo

    - #### CREATED

          public static final IRI CREATED

      http://purl.org/dc/terms/created

    - #### DATE_ACCEPTED

          public static final IRI DATE_ACCEPTED

      http://purl.org/dc/terms/dateAccepted

    - #### DATE_COPYRIGHTED

          public static final IRI DATE_COPYRIGHTED

      http://purl.org/dc/terms/dateCopyrighted

    - #### DATE_SUBMITTED

          public static final IRI DATE_SUBMITTED

      http://purl.org/dc/terms/dateSubmitted

    - #### EDUCATION_LEVEL

          public static final IRI EDUCATION_LEVEL

      http://purl.org/dc/terms/educationLevel

    - #### EXTENT

          public static final IRI EXTENT

      http://purl.org/dc/terms/extent

    - #### HAS_FORMAT

          public static final IRI HAS_FORMAT

      http://purl.org/dc/terms/hasFormat

    - #### HAS_PART

          public static final IRI HAS_PART

      http://purl.org/dc/terms/hasPart

    - #### HAS_VERSION

          public static final IRI HAS_VERSION

      http://purl.org/dc/terms/hasVersion

    - #### INSTRUCTIONAL_METHOD

          public static final IRI INSTRUCTIONAL_METHOD

      http://purl.org/dc/terms/instructionalMethod

    - #### IS_FORMAT_OF

          public static final IRI IS_FORMAT_OF

      http://purl.org/dc/terms/isFormatOf

    - #### IS_PART_OF

          public static final IRI IS_PART_OF

      http://purl.org/dc/terms/isPartOf

    - #### IS_REFERENCED_BY

          public static final IRI IS_REFERENCED_BY

      http://purl.org/dc/terms/isReferencedBy

    - #### IS_REPLACED_BY

          public static final IRI IS_REPLACED_BY

      http://purl.org/dc/terms/isReplacedBy

    - #### IS_REQUIRED_BY

          public static final IRI IS_REQUIRED_BY

      http://purl.org/dc/terms/isRequiredBy

    - #### ISSUED

          public static final IRI ISSUED

      http://purl.org/dc/terms/issued

    - #### IS_VERSION_OF

          public static final IRI IS_VERSION_OF

      http://purl.org/dc/terms/isVersionOf

    - #### LICENSE

          public static final IRI LICENSE

      http://purl.org/dc/terms/license

    - #### MEDIATOR

          public static final IRI MEDIATOR

      http://purl.org/dc/terms/mediator

    - #### MEDIUM

          public static final IRI MEDIUM

      http://purl.org/dc/terms/medium

    - #### MODIFIED

          public static final IRI MODIFIED

      http://purl.org/dc/terms/modified

    - #### PROVENANCE

          public static final IRI PROVENANCE

      http://purl.org/dc/terms/provenance

    - #### REFERENCES

          public static final IRI REFERENCES

      http://purl.org/dc/terms/references

    - #### REPLACES

          public static final IRI REPLACES

      http://purl.org/dc/terms/replaces

    - #### REQUIRES

          public static final IRI REQUIRES

      http://purl.org/dc/terms/requires

    - #### RIGHTS_HOLDER

          public static final IRI RIGHTS_HOLDER

      http://purl.org/dc/terms/rightsHolder

    - #### SPATIAL

          public static final IRI SPATIAL

      http://purl.org/dc/terms/spatial

    - #### TABLE_OF_CONTENTS

          public static final IRI TABLE_OF_CONTENTS

      http://purl.org/dc/terms/tableOfContents

    - #### TEMPORAL

          public static final IRI TEMPORAL

      http://purl.org/dc/terms/temporal

    - #### VALID

          public static final IRI VALID

      http://purl.org/dc/terms/valid

    - #### DCMI_TYPE

          public static final IRI DCMI_TYPE

      http://purl.org/dc/terms/DCMIType

    - #### DDC

          public static final IRI DDC

      http://purl.org/dc/terms/DDC

    - #### IMT

          public static final IRI IMT

      http://purl.org/dc/terms/IMT

    - #### LCC

          public static final IRI LCC

      http://purl.org/dc/terms/LCC

    - #### LCSH

          public static final IRI LCSH

      http://purl.org/dc/terms/LCSH

    - #### MESH

          public static final IRI MESH

      http://purl.org/dc/terms/MESH

    - #### NLM

          public static final IRI NLM

      http://purl.org/dc/terms/NLM

    - #### TGN

          public static final IRI TGN

      http://purl.org/dc/terms/TGN

    - #### UDC

          public static final IRI UDC

      http://purl.org/dc/terms/UDC

    - #### BOX

          public static final IRI BOX

      http://purl.org/dc/terms/Box

    - #### ISO3166

          public static final IRI ISO3166

      http://purl.org/dc/terms/ISO3166

    - #### ISO639_2

          public static final IRI ISO639_2

      http://purl.org/dc/terms/ISO639-2

    - #### ISO639_3

          public static final IRI ISO639_3

      http://purl.org/dc/terms/ISO639-3

    - #### PERIOD

          public static final IRI PERIOD

      http://purl.org/dc/terms/Period

    - #### POINT

          public static final IRI POINT

      http://purl.org/dc/terms/Point

    - #### RFC1766

          public static final IRI RFC1766

      http://purl.org/dc/terms/RFC1766

    - #### RFC3066

          public static final IRI RFC3066

      http://purl.org/dc/terms/RFC3066

    - #### RFC4646

          public static final IRI RFC4646

      http://purl.org/dc/terms/RFC4646

    - #### RFC5646

          public static final IRI RFC5646

      http://purl.org/dc/terms/RFC5646

    - #### URI

          public static final IRI URI

      http://purl.org/dc/terms/URI

    - #### W3CDTF

          public static final IRI W3CDTF

      http://purl.org/dc/terms/W3CDTF

    - #### AGENT

          public static final IRI AGENT

      http://purl.org/dc/terms/Agent

    - #### AGENT_CLASS

          public static final IRI AGENT_CLASS

      http://purl.org/dc/terms/AgentClass

    - #### BIBLIOGRAPHIC_RESOURCE

          public static final IRI BIBLIOGRAPHIC_RESOURCE

      http://purl.org/dc/terms/BibliographicResource

    - #### FILE_FORMAT

          public static final IRI FILE_FORMAT

      http://purl.org/dc/terms/FileFormat

    - #### FREQUENCY

          public static final IRI FREQUENCY

      http://purl.org/dc/terms/Frequency

    - #### JURISDICTION

          public static final IRI JURISDICTION

      http://purl.org/dc/terms/Jurisdiction

    - #### LICENSE_DOCUMENT

          public static final IRI LICENSE_DOCUMENT

      http://purl.org/dc/terms/LicenseDocument

    - #### LINGUISTIC_SYSTEM

          public static final IRI LINGUISTIC_SYSTEM

      http://purl.org/dc/terms/LinguisticSystem

    - #### LOCATION

          public static final IRI LOCATION

      http://purl.org/dc/terms/Location

    - #### LOCATION_PERIOD_OR_JURISDICTION

          public static final IRI LOCATION_PERIOD_OR_JURISDICTION

      http://purl.org/dc/terms/LocationPeriodOrJurisdiction

    - #### MEDIA_TYPE

          public static final IRI MEDIA_TYPE

      http://purl.org/dc/terms/MediaType

    - #### MEDIA_TYPE_OR_EXTENT

          public static final IRI MEDIA_TYPE_OR_EXTENT

      http://purl.org/dc/terms/MediaTypeOrExtent

    - #### METHOD_OF_ACCRUAL

          public static final IRI METHOD_OF_ACCRUAL

      http://purl.org/dc/terms/MethodOfAccrual

    - #### METHOD_OF_INSTRUCTION

          public static final IRI METHOD_OF_INSTRUCTION

      http://purl.org/dc/terms/MethodOfInstruction

    - #### PERIOD_OF_TIME

          public static final IRI PERIOD_OF_TIME

      http://purl.org/dc/terms/PeriodOfTime

    - #### PHYSICAL_MEDIUM

          public static final IRI PHYSICAL_MEDIUM

      http://purl.org/dc/terms/PhysicalMedium

    - #### PHYSICAL_RESOURCE

          public static final IRI PHYSICAL_RESOURCE

      http://purl.org/dc/terms/PhysicalResource

    - #### POLICY

          public static final IRI POLICY

      http://purl.org/dc/terms/Policy

    - #### PROVENANCE_STATEMENT

          public static final IRI PROVENANCE_STATEMENT

      http://purl.org/dc/terms/ProvenanceStatement

    - #### RIGHTS_STATEMENT

          public static final IRI RIGHTS_STATEMENT

      http://purl.org/dc/terms/RightsStatement

    - #### SIZE_OR_DURATION

          public static final IRI SIZE_OR_DURATION

      http://purl.org/dc/terms/SizeOrDuration

    - #### STANDARD

          public static final IRI STANDARD

      http://purl.org/dc/terms/Standard

  - ### Constructor Detail

    - #### DCTERMS

          public DCTERMS()